<?php

namespace CouponsPlus\App\Coupon\Abilities;

use CouponsPlus\Original\Collections\Collection;

interface DashboardCardData
{
    /**
     * const TYPE: string; // the component's unique type identifier (eg: 'CartSubtotal')
     */
    public static function getName() : string;
    public static function getDescription() : string;
    public static function getNotes() : array;
    public static function getUseCases() : Collection;
}